SIGN IN

Developers

Free Trial

recipient.delete-global


XML Request Example   XML Response Example   PHP Example   GET Example  

This method will delete a recipient from ALL lists on the system and return the number of lists the recipient was removed from.

Parameters

  • mobile - string (numbers only) - recipients mobile number in INTERNATIONAL format (the mobile number as returned in a 'contact-lists.get-recipients' call)




XML Request Example

<?xml version='1.0'?>
<request>
	<interface>PHP</interface>
	<version>0.3</version>
	<key>API_KEY</key>
	<secret>API_SECRET</secret>
	<method>recipient.delete-global</method>
	<params>
		<mobile>6141xxxxxx</mobile>
	</params>
</request>




XML Response Example

<?xml version='1.0'?>
<xml>
	<method>recipient.delete-global</method>
	<total>1</total>
	<time>2009-12-21 23:07:37 GMT</time>
	<timestamp>1261436857 GMT</timestamp>
	<result>DELETED FROM 1 LIST</result>
</xml>




PHP Example

Download the PHP API Client

<?php

// change api key and secret to your own
$myAPIKey = "API_KEY";
$myAPISecret = "API_SECRET";

// include base class
require('APIclient.php');

// create new client object
$transmitsmsAPI = new transmitsmsAPI($myAPIKey, $myAPISecret);

// set parameters
$mobileIntFormat = '61416377777';

// execute request
$methodResponse = $transmitsmsAPI->deleteRecipientGlobal($mobileIntFormat);

// parse response into xml object
$xml = @simplexml_load_string($methodResponse);

echo "User was " . (string) $xml->result;

?>




GET Example

Using a URL based request system you can request this method by using the below URL - be sure to url encode all your variables!

http://burstsms.com.au/api-wrapper/recipient.delete-global?apikey=API_KEY&apisecret=API_SECRET&mobile=MOBILE